Package com.opensymphony.module.sitemesh.html

# Interface TagRule

All Known Implementing Classes:
  `BasicRule`, `BlockExtractingRule`, `BodyTagRule`, `ContentBlockExtractingRule`, `DivExtractingPageParser.TopLevelDivExtractingRule`, `FramesetRule`, `HeadExtractingRule`, `HtmlAttributesRule`, `MetaTagRule`, `MSOfficeDocumentPropertiesRule`, `ParameterExtractingRule`, `StateTransitionRule`, `TagReplaceRule`, `TitleExtractingRule`

public interface TagRule

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Tag tag)`
`void`
`setContext(HTMLProcessorContext context)`
`boolean`
`shouldProcess(String name)`
Called by the HTMLProcessor to determine if a rule should be called for a given tag.

## Method Details

### setContext

void setContext(HTMLProcessorContext context)

### shouldProcess

boolean shouldProcess(String name)
Called by the HTMLProcessor to determine if a rule should be called for a given tag. The name parameter will always be passed in lowercase.

### process

void process(Tag tag)